- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# CSplashScreenView Class Reference

Inheritance diagram for CSplashScreenView:

List of all members.

## Public Member Functions
| CSplashScreenView (const CRect &size, CSplashScreen *splashScreen)
void | draw (CDrawContext *pContext)
| called if the view should draw itself
void | mouse (CDrawContext *pContext, CPoint &where, long button)
| called if a mouse click event occurs
## Protected Attributes
CSplashScreen * | splashScreen

## Constructor & Destructor Documentation

CSplashScreenView::CSplashScreenView | ( | const CRect & | size,
|  | CSplashScreen * | splashScreen
| ) | `[inline]`

## Member Function Documentation

void CSplashScreenView::draw | ( | CDrawContext * | pContext | ) | `[inline, virtual]`

| called if the view should draw itself Reimplemented from CView.

void CSplashScreenView::mouse | ( | CDrawContext * | pContext,
|  | CPoint & | where,
|  | long | button
| ) | `[inline, virtual]`

| called if a mouse click event occurs Reimplemented from CView.

## Member Data Documentation

CSplashScreen* CSplashScreenView::splashScreen`[protected]`

The documentation for this class was generated from the following file:

- vstcontrols.cpp

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.